/// <reference types="react" />
import * as React from 'react';
import { IEntityService, IEntity } from './IEntityService';
export declare class EntityList extends React.Component<{
    entityService?: IEntityService<IEntity>;
    displayConfig: DisplayConfig;
}, {
    showAddModal: boolean;
    showDeleteModal: boolean;
    selectedEntity: IEntity;
    entityList: Array<IEntity>;
    editing: boolean;
}> {
    constructor(props: any);
    componentDidMount(): void;
    render(): JSX.Element;
    private getAll();
    private startEditing(field);
    private startDeleting(field);
    private close();
    private add(type);
    private delete();
}
export declare class ColumnConfig {
    name: string;
    renderer?: (field: any) => JSX.Element;
    constructor(name: string, renderer?: (field: any) => JSX.Element);
}
export declare class DisplayConfig {
    name: string;
    schema: any;
    uiSchema: any;
    columns: Array<ColumnConfig>;
    widgets?: any;
    constructor(name: string, schema: any, uiSchema: any, columns: Array<ColumnConfig>, widgets?: any);
}
